# List available voices

This endpoint returns the available voices from a specific provider (ElevenLabs) for use with agents.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Agent-voice

GET `/Agent/voice`

This endpoint returns the available voices from a specific provider (ElevenLabs) for use with agents.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>provider</code></td><td><code>query</code></td><td><code>VoiceProvider</code></td><td>No</td><td>0 = RetellAI; 1 = ElevenLabs</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Agent/voice?provider={provider}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Successfully returned voices</td><td><code>application/json</code> · <code>array&lt;VoiceDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "voiceId": "string",
    "voiceName": "string",
    "provider": "string",
    "accent": "string",
    "gender": "string",
    "age": "string",
    "previewAudioUrl": "string",
    "category": "string",
    "language": "string",
    "description": "string"
  }
]
```



## Data models

`VoiceDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>voiceId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>voiceName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>provider</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>accent</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>gender</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>age</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>previewAudioUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>category</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>language</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`VoiceProvider`0 = RetellAI; 1 = ElevenLabs

`integer`
